<?php
function test_site($array)
{
    $link = $array['link_test'];
    $page = $array['choose_page'];
    $css_link = $array['css_link'];
    $css_image = $array['css_image'];
    $css_title = $array['css_title'];
    $css_content = $array['css_content'];
    $fix_link = $array['fix_link'];

    if (!$link) return false;
    $result = get_web_page($link);
    if (!$result) return false;
    $page_html = $result['content'];
    $HTML = str_get_html($page_html);
    if ($page == 'all_link') {
        if (!$css_link) return false;
        $links = $HTML->find($css_link);
        $images = $HTML->find($css_image);
        foreach ($links as $link) {
            preg_match('/href="([^"]+)/i', trim($link->outertext), $a_link);
            $url = str_ireplace('href="', '', $a_link[0]);
            if(check_url($url)){
                $array_link[] = $url;
            }else{
                $array_link[] = get_server_name($array['link_test']).$url;
            }

        }
        for($i=0;$i<count($links);$i++) {
            if($images[$i]){
                preg_match('/src="([^"]+)/i', trim($images[$i]->outertext), $img_link);
                $array_images[] = str_ireplace('src="', '', $img_link[0]);
            }else{
                $array_images[] = GNW_URL.'/images/image_auto.jpg';
            }

        }


    } else {
        if (!$css_title) return false;
        $title = $HTML->find($css_title);
        $content = $HTML->find($css_content);
        foreach($title as $item) {
            $title =  $item->innertext;
        }

        foreach($content as $item) {
            preg_match_all('/href="([^"]+)/i',trim($item->outertext), $link_d);
            $content_array[] = str_replace($link_d[0],'ref="#',trim($item->outertext));
        }


    }

    if ($array_link):
        $array_link = array_filter($array_link);
        ?>
        <div class="uk-container">
            <div class="uk-title">
                <div class="uk-alert-success uk-text-large" uk-alert>
                    <a class="uk-alert-close" uk-close></a>
                    <p class="uk-text-bold">Found <?php echo count($array_link); ?> resulf.</p>
                </div>
            </div>
            <div class="uk-child-width-1-2 uk-child-width-1-4@s uk-grid-match" uk-grid>
                <?php foreach ($array_link as $key => $link): ?>
                    <div class="uk-animation-toggle">
                        <div class="show-background uk-card uk-card-default uk-card-body uk-animation-scale-up uk-background-primary" style="background-image: url(<?php echo $array_images[$key]; ?>) ">
                            <div class="uk-padding uk-text-center">
                                <a class="uk-icon-button uk-icon uk-text-danger" uk-icon="icon: link" href="<?php echo $link; ?>" target="_blank">
                                </a>
                            </div>
                        </div>
                    </div>
                <?php endforeach; ?>
            </div>
        </div>
        <?php
    endif;


    if($content_array):
        ?>
        <div class="uk-container">
        <div class="uk-title">
            <div class="uk-alert-success uk-text-large" uk-alert>
                <a class="uk-alert-close" uk-close></a>
                <p class="uk-text-bold">Found <?php echo count($content_array); ?> resulf.</p>
            </div>
        </div>

            <article class="uk-article">
                <h1 class="uk-article-title"><?php echo $title; ?></h1>
                <div class="uk-article-meta">
                    <?php echo $content_array[0]; ?>
                </div>
            </article>

        </div>
<?php
        endif;

}