<?php
do_action('wp_GNW');
$args = array(
    'posts_per_page' => -1,
    'offset' => 0,
    'post_type' => 'get_news',
    'post_status' => 'publish',
    'suppress_filters' => true
);
$posts_array = get_posts($args);
?>
<div class="wapper">
    <form method="post" action="" id="form-get-news">
        <fieldset class="uk-fieldset">
            <?php foreach ($posts_array as $post):
                $list_link_site = get_field('list_link_site', $post->ID);
                ?>
                <div class="item-site">
                    <legend class="uk-legend"><?php echo get_the_title($post->ID); ?></legend>
                    <div class="uk-margin uk-grid-small uk-child-width-auto uk-grid">
                        <?php if ($list_link_site):
                            foreach ($list_link_site as $key => $link):

                                /*Thong tin lay tin*/
                                $list_link_site[$key]['domain_site'] = get_field('domain_site', $post->ID);
                                $list_link_site[$key]['css_title'] = get_field('css_title', $post->ID);
                                $list_link_site[$key]['css_content'] = get_field('css_content', $post->ID);
                                $list_link_site[$key]['css_delete'] = get_field('css_delete', $post->ID);
                                $list_link_site[$key]['type'] = get_field('type', $post->ID);
                                $list_link_site[$key]['status'] = get_field('status', $post->ID);


                                ?>
                                <label><input class="uk-checkbox" name="link_site[<?php echo $post->ID; ?>][<?php echo $key; ?>]"
                                              value='<?php echo $key; ?>'
                                              type="checkbox"> <?php echo $link['name_link_site']; ?></label>
                            <?php endforeach;
                            $list_array[$post->ID] = $list_link_site;
                        endif; ?>
                    </div>
                </div>
            <?php endforeach; ?>

            <div class="uk-margin">
                <input type="hidden" name="list_array" value='<?php echo serialize($list_array); ?>'>
                <button type="button" id="get_news_button" class="uk-button uk-button-primary">Get News</button>
            </div>

        </fieldset>
    </form>


    <div id="resulf-get-news">

    </div>

    <div id="modal-content" uk-modal>
        <div class="uk-modal-dialog">
            <button class="uk-modal-close-outside" type="button" uk-close></button>
            <div class="uk-modal-header">
                <h2 class="uk-modal-title">Detail content</h2>
            </div>
            <div class="uk-modal-body uk-text-center">
                <div uk-spinner></div>
            </div>
            <div class="uk-modal-footer uk-text-right">
                <button class="uk-button uk-button-default uk-modal-close" type="button">Cancel</button>
                <button class="uk-button uk-button-primary" type="button" onclick="jQuery(this).save_post();">Save
                </button>
            </div>
        </div>
    </div>

    <script type="text/javascript">
        jQuery(function ($) {
            $('#get_news_button').click(function () {
                show_post();
            });


            function show_post() {
                var admin_url = '<?php echo get_site_url() . '/wp-admin/admin-ajax.php?action=get_news'; ?>';
                $.ajax({
                    type: "POST",
                    url: admin_url,
                    data: $("#form-get-news").serialize(),
                    success: function (resulf) {
                        resulf = resulf.trim();
                        $('#resulf-get-news').html(resulf);
                        if(resulf==0){
                            $('#resulf-get-news').html('<div class="uk-alert-success" uk-alert>\
                                <a class="uk-alert-close" uk-close></a>\
                            <p>Not found.</p>\
                            </div>');

                        }

                    }
                });
            }


            $.fn.get_content = function () {
                var image = $(this).data('image');
                var url = $(this).data('href');
                var title = $(this).data('title');
                var content = $(this).data('content');
                var admin_url = '<?php echo get_site_url() . '/wp-admin/admin-ajax.php?action=get_news_content'; ?>';
                var Attributes = $(this).getAttributes();
                $('#modal-content .uk-modal-body').html('<div uk-spinner></div>');
                $.ajax({
                    type: "POST",
                    url: admin_url,
                    data: Attributes,
                    success: function (resulf) {
                        $('#modal-content .uk-modal-body').html(resulf);
                        $('#modal-content .uk-modal-footer .uk-button-primary').attr(Attributes);
                    }
                });
            }


            $.fn.save_post = function () {
                var url = $(this).attr('data-href');
                var image = $(this).attr('data-image');
                var title = $(this).attr('data-title');
                var content = $(this).attr('data-content');
                var Attributes = $(this).getAttributes();
                $(this).text('Save...');
                var admin_url = '<?php echo get_site_url() . '/wp-admin/admin-ajax.php?action=save_news'; ?>';
                $.ajax({
                    type: "POST",
                    url: admin_url,
                    data: Attributes,
                    success: function (respon) {
                        console.log(respon);
                        $('#modal-content .uk-modal-footer .uk-button-primary').text('Save');
                    }
                });
            }


            $.fn.remove_item = function () {
                $(this).parents('.uk-animation-toggle').remove();
            }



            save_all =function (){
                $('.items_link_site').each(function(){
                     $(this).save_post();
                    $(this).parents('.uk-animation-toggle').remove();
                    window.progressbar && (progressbar.value += 1);

                })

            }

            $.fn.getAttributes = function() {
                var attributes = {};
                if( this.length ) {
                    $.each( this[0].attributes, function( index, attr ) {
                        if(attr.name != 'class' && attr.name  != 'uk-icon' & attr.name  != 'href' &attr.name  != 'onclick' & attr.name  != 'uk-toggle'){
                            attributes[ attr.name ] = attr.value;
                        }

                    } );
                }

                return attributes;
            };




        })


    </script>
</div>
