<?php
add_action('wp_ajax_get_news', 'action_get_news');
add_action('wp_ajax_nopriv_get_news', 'action_get_news');

function action_get_news()
{
    $all = $_POST;
    $all_data = $all['list_array'];
    $all_data = str_replace('\\', '', $all_data);
    $all_data = unserialize($all_data);
    if (!$all['link_site']) return false;
    foreach ($all['link_site'] as $key => $link) {
        foreach ($link as $key2 => $value) {
            $array_links[] = $all_data[$key][$key2];
        }
    }
    if (!$array_links) return false;
    foreach ($array_links as $items){
        $result = get_web_page($items['link_site']);
        $page_html = $result['content'];
        $HTML = str_get_html($page_html);
        $links = $HTML->find($items['css_link']);
        $images = $HTML->find($items['css_image']);
        foreach ($links as $link) {
            preg_match('/href="([^"]+)/i', trim($link->outertext), $a_link);
            $url = str_ireplace('href="', '', $a_link[0]);
            if(check_url($url)){
                $array_link[] = $url;
            }else{
                $array_link[] = get_server_name($items['link_site']).$url;
            }


            $array_data[] = $items;
        }

        for($i=0;$i<count($links);$i++) {
            if($images[$i]){
                preg_match('/src="([^"]+)/i', trim($images[$i]->outertext), $img_link);
                $array_images[] = str_ireplace('src="', '', $img_link[0]);
            }else{
                $array_images[] = GNW_URL.'/images/image_auto.jpg';
            }

        }



    }

    if ($array_link):
        $array_link = array_filter($array_link);
        ?>
        <div class="uk-container">
            <div class="uk-title">
                <div class="uk-alert-success uk-text-large" uk-alert>
                    <a class="uk-alert-close" uk-close></a>
                    <div class="uk-text-bold">Found <?php echo count($array_link); ?> resulf.
                        <button onclick="save_all()" class="uk-button uk-button-secondary">Save All</button>
                    </div>
                </div>
                <progress id="progressbar" class="uk-progress" value="0" max="<?php echo count($array_link); ?>"></progress>
            </div>
            <div class="uk-child-width-1-2 uk-child-width-1-4@s uk-grid-match" uk-grid>
                <?php foreach ($array_link as $key => $link): ?>
                    <div class="uk-animation-toggle">
                        <div class="show-background uk-card uk-card-default uk-card-body uk-animation-slide-top-small uk-background-primary" style="background-image: url(<?php echo $array_images[$key]; ?>) ">
                            <div class="uk-padding uk-text-center">
                                <a class="uk-icon-button uk-icon uk-text-danger" uk-icon="icon: link" href="<?php echo $link; ?>" target="_blank">
                                </a>
                                <a class="items_link_site uk-icon-button uk-icon uk-text-danger" uk-icon="icon: push"
                                   data-title="<?php echo $array_data[$key]['css_title']; ?>"
                                   data-content="<?php echo $array_data[$key]['css_content']; ?>"
                                   data-href="<?php echo $link; ?>"
                                   data-image="<?php echo $array_images[$key]; ?>"
                                   onclick="jQuery(this).get_content();"
                                   href="#modal-content"
                                   data-type='<?php echo $array_data[$key]['type']; ?>'
                                   data-status='<?php echo $array_data[$key]['status']; ?>'
                                   uk-toggle>
                                </a>

                                <a class="items_link_site uk-icon-button uk-icon uk-text-danger" uk-icon="icon: close" onclick="jQuery(this).remove_item();">
                                </a>
                            </div>
                        </div>
                    </div>
                <?php endforeach; ?>
            </div>
        </div>
        <?php
    endif;

    die();
}
add_action('wp_ajax_get_news_content', 'action_get_news_content');
add_action('wp_ajax_nopriv_get_news_content', 'action_get_news_content');

function action_get_news_content(){
    $array = $_POST;

    $link = $array['data-href'];
    $css_title = $array['data-title'];
    $css_content = $array['data-content'];
    $link_image = $array['data-image'];
    $delete = $array['data-delete'];

    if (!$link) return false;
    $result = get_web_page($link);
    if (!$result) return false;
    $page_html = $result['content'];
    $HTML = str_get_html($page_html);
    $HTML->find($delete,0)->outertext='';
   $HTML ->load($HTML ->save());
    if (!$css_title) return false;
    $title = $HTML->find($css_title);
    $content = $HTML->find($css_content);
    foreach($title as $item) {
        $title =  $item->innertext;
    }
    foreach($content as $item) {
        preg_match_all('/href="([^"]+)/i',trim($item->outertext), $link_d);
        $content_array[] = str_replace($link_d[0],'ref="#',trim($item->outertext));
    }
    if($content_array):
        ?>
        <div class="uk-container">
            <article class="uk-article">
                <h1 class="uk-article-title"><?php echo $title; ?></h1>
                <div class="uk-article-meta">
                    <?php echo $content_array[0]; ?>
                </div>
            </article>

        </div>
        <?php
    endif;

    die();
}


