<?php
/*
Plugin Name: Get News WP
Description: Lấy nội dung từ webiste khác
Version: 2.2
Author: HOANG THUC
Author URI: http://www.hoangthuc.com
**/
define('GNW_URL', plugins_url(plugin_basename(dirname(__FILE__))));
add_action('admin_menu', 'plugin_GNW_menu');
function plugin_GNW_menu() {
    $tmp = basename(dirname(__FILE__)); // Plugin folder
    add_submenu_page('edit.php?post_type=get_news','Get News WP','Test site','manage_options',$tmp.'/template/test.php');
    add_submenu_page('edit.php?post_type=get_news','Get News WP','Show Post','manage_options',$tmp.'/template/show_post.php');
}



function GNW_scripts_and_styles()
{
    wp_enqueue_style( 'uikit.css', GNW_URL . '/uikit/css/uikit.css', array() );
    wp_enqueue_style( 'style.css', GNW_URL . '/uikit/css/style.css', array() );
    wp_enqueue_script('uikit.js', GNW_URL . '/uikit/js/uikit.js', array() );
    wp_enqueue_script('uikit-icons', GNW_URL . '/uikit/js/uikit-icons.js', array() );
}
add_action( 'wp_GNW', 'GNW_scripts_and_styles' );

define('WP_DEBUG', false);
define('DISABLE_WP_CRON', false);
//define('WP_CRON_LOCK_TIMEOUT', 3600);
define('WP_MEMORY_LIMIT', '256M');
ini_set('max_execution_time', 300);

include_once ('functions.php');
